Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | [Expand All]
public static interface

# Cast.MessageReceivedCallback

com.google.android.gms.cast.Cast.MessageReceivedCallback

Known Indirect Subclasses
RemoteMediaPlayer

RemoteMediaPlayer | Class for controlling a media player application running on a receiver.

## Class Overview

The interface to process received messages from a `CastDevice`.

## Summary

Public Methods
abstract void | onMessageReceived(CastDevice castDevice, String namespace, String message) Called when a message is received from a given `CastDevice`.

## Public Methods

#### public abstract void onMessageReceived (CastDevice castDevice, String namespace, String message)

Called when a message is received from a given `CastDevice`.

##### Parameters

castDevice | The castDevice from whence the message originated.
namespace | The namespace of the received message.
message | The received payload for the message.